<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:40 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Components (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Components (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Components.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/constants/AuditReferenceIdTypes.html" title="enum in io.mosip.registration.constants"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/constants/DeviceTypes.html" title="enum in io.mosip.registration.constants"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/constants/Components.html" target="_top">Frames</a></li>
<li><a href="Components.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.constants</div>
<h2 title="Enum Components" class="title">Enum Components</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">java.lang.Enum</a>&lt;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a>&gt;</li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.constants.Components</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public enum <span class="typeNameLabel">Components</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a>&lt;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a>&gt;</pre>
<div class="block">Enum for Application Modules to be used in Audit</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Balaji Sridharan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#CENTER_DETAIL">CENTER_DETAIL</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#CENTER_MACHINE_REMAP">CENTER_MACHINE_REMAP</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#CENTER_NAME">CENTER_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#CLEAN_UP">CLEAN_UP</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#DEVICE_MAPPING">DEVICE_MAPPING</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#DEVICE_ONBOARD">DEVICE_ONBOARD</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#DEVICE_UN_MAPPING">DEVICE_UN_MAPPING</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#EXPORT_REG_PACKETS">EXPORT_REG_PACKETS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#GEO_LOCATION">GEO_LOCATION</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#LOGIN">LOGIN</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#LOGIN_MODES">LOGIN_MODES</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#NAVIGATION">NAVIGATION</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#NOTIFICATION_SERVICE">NOTIFICATION_SERVICE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#ON_BOARD_USER">ON_BOARD_USER</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#PACKET_AES_ENCRYPTOR">PACKET_AES_ENCRYPTOR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#PACKET_CREATOR">PACKET_CREATOR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#PACKET_ENCRYPTOR">PACKET_ENCRYPTOR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#PACKET_HANDLER">PACKET_HANDLER</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#PACKET_RETRIVE">PACKET_RETRIVE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#PACKET_STATUS_SYNCHED">PACKET_STATUS_SYNCHED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#PACKET_SYNC">PACKET_SYNC</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#PACKET_SYNCHED">PACKET_SYNCHED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#PACKET_UPDATE">PACKET_UPDATE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#PACKET_UPLOAD">PACKET_UPLOAD</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#PACKET_VALIDATOR">PACKET_VALIDATOR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#PACKETS_UPLOADED">PACKETS_UPLOADED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#REG_APPROVAL">REG_APPROVAL</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#REG_BIOMETRICS">REG_BIOMETRICS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#REG_DEMO_DETAILS">REG_DEMO_DETAILS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#REG_DOCUMENTS">REG_DOCUMENTS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#REG_OS_AUTH">REG_OS_AUTH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#REG_PREVIEW">REG_PREVIEW</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#REGISTRATION_CONTROLLER">REGISTRATION_CONTROLLER</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#SCREEN_AUTH">SCREEN_AUTH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#SYNC_CLIENT_TO_SERVER">SYNC_CLIENT_TO_SERVER</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#SYNC_PACKET">SYNC_PACKET</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#SYNC_SERVER_TO_CLIENT">SYNC_SERVER_TO_CLIENT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#SYNC_VALIDATE">SYNC_VALIDATE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#UI_SCHEDULER">UI_SCHEDULER</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#UPLOAD_PACKET">UPLOAD_PACKET</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#USER_DETAIL">USER_DETAIL</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#USER_ROLE">USER_ROLE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#USER_STATUS">USER_STATUS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#VALIDATE_USER">VALIDATE_USER</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#VIRUS_SCAN">VIRUS_SCAN</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#getId--">getId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#getName--">getName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#valueOf-java.lang.String-">valueOf</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/constants/Components.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#compareTo-E-" title="class or interface in java.lang">compareTo</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#getDeclaringClass--" title="class or interface in java.lang">getDeclaringClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#name--" title="class or interface in java.lang">name</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#ordinal--" title="class or interface in java.lang">ordinal</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#valueOf-java.lang.Class-java.lang.String-" title="class or interface in java.lang">valueOf</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="LOGIN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LOGIN</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> LOGIN</pre>
</li>
</ul>
<a name="NAVIGATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NAVIGATION</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> NAVIGATION</pre>
</li>
</ul>
<a name="REG_DEMO_DETAILS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_DEMO_DETAILS</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> REG_DEMO_DETAILS</pre>
</li>
</ul>
<a name="REG_DOCUMENTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_DOCUMENTS</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> REG_DOCUMENTS</pre>
</li>
</ul>
<a name="REG_BIOMETRICS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_BIOMETRICS</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> REG_BIOMETRICS</pre>
</li>
</ul>
<a name="REG_PREVIEW">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_PREVIEW</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> REG_PREVIEW</pre>
</li>
</ul>
<a name="REG_OS_AUTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_OS_AUTH</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> REG_OS_AUTH</pre>
</li>
</ul>
<a name="REG_APPROVAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_APPROVAL</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> REG_APPROVAL</pre>
</li>
</ul>
<a name="SYNC_PACKET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SYNC_PACKET</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> SYNC_PACKET</pre>
</li>
</ul>
<a name="UPLOAD_PACKET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UPLOAD_PACKET</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> UPLOAD_PACKET</pre>
</li>
</ul>
<a name="VIRUS_SCAN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VIRUS_SCAN</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> VIRUS_SCAN</pre>
</li>
</ul>
<a name="GEO_LOCATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GEO_LOCATION</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> GEO_LOCATION</pre>
</li>
</ul>
<a name="ON_BOARD_USER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ON_BOARD_USER</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> ON_BOARD_USER</pre>
</li>
</ul>
<a name="SYNC_SERVER_TO_CLIENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SYNC_SERVER_TO_CLIENT</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> SYNC_SERVER_TO_CLIENT</pre>
</li>
</ul>
<a name="SYNC_CLIENT_TO_SERVER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SYNC_CLIENT_TO_SERVER</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> SYNC_CLIENT_TO_SERVER</pre>
</li>
</ul>
<a name="EXPORT_REG_PACKETS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXPORT_REG_PACKETS</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> EXPORT_REG_PACKETS</pre>
</li>
</ul>
<a name="PACKET_HANDLER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PACKET_HANDLER</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> PACKET_HANDLER</pre>
</li>
</ul>
<a name="PACKET_VALIDATOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PACKET_VALIDATOR</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> PACKET_VALIDATOR</pre>
</li>
</ul>
<a name="PACKET_CREATOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PACKET_CREATOR</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> PACKET_CREATOR</pre>
</li>
</ul>
<a name="PACKET_ENCRYPTOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PACKET_ENCRYPTOR</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> PACKET_ENCRYPTOR</pre>
</li>
</ul>
<a name="PACKET_AES_ENCRYPTOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PACKET_AES_ENCRYPTOR</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> PACKET_AES_ENCRYPTOR</pre>
</li>
</ul>
<a name="UI_SCHEDULER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UI_SCHEDULER</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> UI_SCHEDULER</pre>
</li>
</ul>
<a name="LOGIN_MODES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LOGIN_MODES</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> LOGIN_MODES</pre>
</li>
</ul>
<a name="USER_STATUS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>USER_STATUS</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> USER_STATUS</pre>
</li>
</ul>
<a name="VALIDATE_USER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VALIDATE_USER</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> VALIDATE_USER</pre>
</li>
</ul>
<a name="USER_DETAIL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>USER_DETAIL</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> USER_DETAIL</pre>
</li>
</ul>
<a name="CENTER_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CENTER_NAME</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> CENTER_NAME</pre>
</li>
</ul>
<a name="CENTER_DETAIL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CENTER_DETAIL</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> CENTER_DETAIL</pre>
</li>
</ul>
<a name="USER_ROLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>USER_ROLE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> USER_ROLE</pre>
</li>
</ul>
<a name="SCREEN_AUTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SCREEN_AUTH</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> SCREEN_AUTH</pre>
</li>
</ul>
<a name="PACKET_RETRIVE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PACKET_RETRIVE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> PACKET_RETRIVE</pre>
</li>
</ul>
<a name="PACKET_UPDATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PACKET_UPDATE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> PACKET_UPDATE</pre>
</li>
</ul>
<a name="SYNC_VALIDATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SYNC_VALIDATE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> SYNC_VALIDATE</pre>
</li>
</ul>
<a name="DEVICE_ONBOARD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEVICE_ONBOARD</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> DEVICE_ONBOARD</pre>
</li>
</ul>
<a name="PACKET_UPLOAD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PACKET_UPLOAD</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> PACKET_UPLOAD</pre>
</li>
</ul>
<a name="PACKET_SYNC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PACKET_SYNC</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> PACKET_SYNC</pre>
</li>
</ul>
<a name="NOTIFICATION_SERVICE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOTIFICATION_SERVICE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> NOTIFICATION_SERVICE</pre>
</li>
</ul>
<a name="DEVICE_MAPPING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEVICE_MAPPING</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> DEVICE_MAPPING</pre>
</li>
</ul>
<a name="DEVICE_UN_MAPPING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEVICE_UN_MAPPING</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> DEVICE_UN_MAPPING</pre>
</li>
</ul>
<a name="REGISTRATION_CONTROLLER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REGISTRATION_CONTROLLER</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> REGISTRATION_CONTROLLER</pre>
</li>
</ul>
<a name="CENTER_MACHINE_REMAP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CENTER_MACHINE_REMAP</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> CENTER_MACHINE_REMAP</pre>
</li>
</ul>
<a name="PACKET_SYNCHED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PACKET_SYNCHED</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> PACKET_SYNCHED</pre>
</li>
</ul>
<a name="PACKET_STATUS_SYNCHED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PACKET_STATUS_SYNCHED</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> PACKET_STATUS_SYNCHED</pre>
</li>
</ul>
<a name="CLEAN_UP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CLEAN_UP</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> CLEAN_UP</pre>
</li>
</ul>
<a name="PACKETS_UPLOADED">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PACKETS_UPLOADED</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a> PACKETS_UPLOADED</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a>[]&nbsp;values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (Components c : Components.values())
&nbsp;   System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static&nbsp;<a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a>&nbsp;valueOf(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if this enum type has no constant with the specified name</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/NullPointerException.html?is-external=true" title="class or interface in java.lang">NullPointerException</a></code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a name="getId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getId()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the id</dd>
</dl>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Components.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/constants/AuditReferenceIdTypes.html" title="enum in io.mosip.registration.constants"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/constants/DeviceTypes.html" title="enum in io.mosip.registration.constants"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/constants/Components.html" target="_top">Frames</a></li>
<li><a href="Components.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
